'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const debug = require('./debug.cjs');

var Platform = /* @__PURE__ */ ((Platform2) => {
  Platform2["Default"] = "default";
  Platform2["Angular"] = "angular";
  Platform2["Preact"] = "preact";
  Platform2["Qwik"] = "qwik";
  Platform2["React"] = "react";
  Platform2["Solid"] = "solid";
  Platform2["Svelte"] = "svelte";
  Platform2["Vue"] = "vue";
  Platform2["Webcomponents"] = "webcomponent";
  return Platform2;
})(Platform || {});
let platform = "default" /* Default */;
function setPlatform(newPlatform) {
  debug.debug(`Setting new platform ${newPlatform}`);
  platform = newPlatform;
}
function getPlatform() {
  return platform;
}
function isSSR() {
  try {
    return typeof window === void 0;
  } catch (error) {
  }
  return true;
}
function closestBodyElement(node) {
  let parent = node.parentElement;
  while (parent) {
    if (parent.tagName === "BODY") {
      return parent;
    }
    parent = parent.parentElement;
  }
  return null;
}
function getOwnerDocument(node) {
  return node.ownerDocument;
}

exports.Platform = Platform;
exports.closestBodyElement = closestBodyElement;
exports.getOwnerDocument = getOwnerDocument;
exports.getPlatform = getPlatform;
exports.isSSR = isSSR;
exports.setPlatform = setPlatform;
