import { defineComponent, ref, onMounted, useSlots, watch, openBlock, createElementBlock, normalizeClass, renderSlot } from 'vue';
import { animateLayout } from './animate-layout.helper.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "animate-layout",
  props: {
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    const parentRef = ref();
    onMounted(() => {
      if (parentRef.value) {
        animateLayout(parentRef.value);
      }
    });
    const slots = useSlots();
    watch(
      () => [parentRef.value, slots.default],
      () => {
        if (parentRef.value) {
          animateLayout(parentRef.value);
        }
      },
      { immediate: true }
    );
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        "data-part-id": "animate-layout",
        ref_key: "parentRef",
        ref: parentRef,
        style: {
          backfaceVisibility: "hidden"
        },
        class: normalizeClass(props.class ?? props.className)
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 2);
    };
  }
});

export { _sfc_main as default };
