'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const clx = require('clsx');
const box_vue_vue_type_script_setup_true_lang = require('../box/box.vue.cjs');
const store = require('../../models/store.cjs');
const avatar_css = require('../avatar/avatar.css.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "avatar-badge",
  props: {
    boxRef: { default: void 0 },
    attributes: { default: void 0 },
    size: { default: "1.25em" },
    placement: { default: "bottom-right" },
    borderWidth: { default: "0.2em" },
    className: { default: void 0 },
    class: {},
    classList: {},
    children: { default: void 0 },
    forwardedRef: {}
  },
  setup(__props) {
    const internalTheme = vue.ref("light");
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      internalTheme.value = store.store.getState().theme;
      cleanupRef.value = store.store.subscribe((newState, prevState) => {
        internalTheme.value = newState.theme;
      });
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(box_vue_vue_type_script_setup_true_lang.default), vue.mergeProps({
        display: "flex",
        position: "absolute",
        alignItems: "center",
        justifyContent: "center",
        borderRadius: "$full",
        boxRef: _ctx.boxRef,
        borderWidth: _ctx.borderWidth,
        width: _ctx.size,
        height: _ctx.size,
        class: vue.unref(clx)(
          vue.unref(avatar_css.avatarBadge)[internalTheme.value],
          vue.unref(avatar_css.avatarBadgePlacement)[_ctx.placement],
          _ctx.className
        )
      }, _ctx.attributes), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["boxRef", "borderWidth", "width", "height", "class"]);
    };
  }
});

exports.default = _sfc_main;
