'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const dynamic = require('@vanilla-extract/dynamic');
const box_vue_vue_type_script_setup_true_lang = require('../box/box.vue.cjs');
const avatarImage_vue_vue_type_script_setup_true_lang = require('../avatar-image/avatar-image.vue.cjs');
const store = require('../../models/store.cjs');
const avatar_helper = require('./avatar.helper.cjs');
const avatar_css = require('./avatar.css.cjs');

const _hoisted_1 = ["data-loaded", "data-custom-bg"];
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "avatar",
  props: {
    size: { default: "md" },
    rounded: { type: Boolean, default: true },
    showBorder: { type: Boolean, default: void 0 },
    fallbackMode: { default: "initials" },
    borderColor: { default: void 0 },
    backgroundColor: { default: void 0 },
    src: { default: void 0 },
    srcSet: { default: void 0 },
    width: {},
    height: {},
    name: { default: void 0 },
    borderRadius: { default: void 0 },
    loading: { default: void 0 },
    ignoreFallback: { type: Boolean, default: void 0 },
    referrerPolicy: { default: void 0 },
    crossOrigin: { default: void 0 },
    sizes: {},
    onError: { type: Function, default: void 0 },
    onLoad: { type: Function, default: void 0 },
    getInitials: { type: Function, default: void 0 },
    className: { default: void 0 },
    class: {},
    classList: {},
    children: { default: void 0 },
    forwardedRef: {},
    attributes: { default: void 0 },
    showInitials: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const internalTheme = vue.ref("light");
    const isLoaded = vue.ref(false);
    const sizeValue = vue.ref(avatar_helper.avatarSize(props.size));
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      internalTheme.value = store.store.getState().theme;
      cleanupRef.value = store.store.subscribe((newState) => {
        internalTheme.value = newState.theme;
      });
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    const cssVars = vue.computed(() => {
      return dynamic.assignInlineVars({
        [avatar_css.avatarSizeVar]: sizeValue.value
      });
    });
    vue.watch(
      () => [props.size],
      () => {
        sizeValue.value = avatar_helper.avatarSize(props.size);
      },
      { immediate: true }
    );
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
        as: "span",
        display: "inline-flex",
        borderWidth: _ctx.showBorder ? "$sm" : void 0,
        borderColor: _ctx.borderColor,
        borderRadius: _ctx.rounded ? "$full" : "none",
        backgroundColor: _ctx.backgroundColor,
        attributes: _ctx.attributes,
        class: vue.normalizeClass(props.class ?? props.className)
      }, {
        default: vue.withCtx(() => [
          vue.createElementVNode("span", {
            "data-loaded": isLoaded.value,
            "data-custom-bg": !!_ctx.backgroundColor,
            style: vue.normalizeStyle(cssVars.value),
            class: vue.normalizeClass(vue.unref(avatar_css.avatar)[internalTheme.value])
          }, [
            vue.createVNode(vue.unref(avatarImage_vue_vue_type_script_setup_true_lang.default), {
              src: _ctx.src,
              srcSet: _ctx.srcSet,
              loading: _ctx.loading,
              fallbackMode: _ctx.fallbackMode,
              onLoad: (event) => {
                _ctx.onLoad?.(event);
                isLoaded.value = true;
              },
              width: sizeValue.value,
              height: sizeValue.value,
              onError: (event) => _ctx.onError,
              getInitials: _ctx.getInitials,
              name: _ctx.name,
              borderRadius: _ctx.borderRadius,
              ignoreFallback: _ctx.ignoreFallback,
              crossOrigin: _ctx.crossOrigin,
              referrerPolicy: _ctx.referrerPolicy
            }, null, 8, ["src", "srcSet", "loading", "fallbackMode", "onLoad", "width", "height", "onError", "getInitials", "name", "borderRadius", "ignoreFallback", "crossOrigin", "referrerPolicy"]),
            vue.renderSlot(_ctx.$slots, "default")
          ], 14, _hoisted_1)
        ]),
        _: 3
      }, 8, ["borderWidth", "borderColor", "borderRadius", "backgroundColor", "attributes", "class"]);
    };
  }
});

exports.default = _sfc_main;
