'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const clx = require('clsx');
const lodash = require('lodash');
const rainbowSprinkles_css = require('../../styles/rainbow-sprinkles.css.cjs');
const box_types = require('./box.types.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "box",
  props: {
    display: {},
    position: {},
    padding: {},
    paddingLeft: {},
    paddingRight: {},
    paddingTop: {},
    paddingBottom: {},
    width: {},
    height: {},
    minWidth: {},
    minHeight: {},
    maxWidth: {},
    maxHeight: {},
    tableLayout: {},
    backgroundImage: {},
    backgroundSize: {},
    backgroundPosition: {},
    backgroundRepeat: {},
    objectFit: {},
    flex: {},
    flexBasis: {},
    flexShrink: {},
    flexGrow: {},
    flexDirection: {},
    flexWrap: {},
    alignItems: {},
    alignSelf: {},
    justifyContent: {},
    borderRadius: {},
    borderTopLeftRadius: {},
    borderBottomLeftRadius: {},
    borderTopRightRadius: {},
    borderBottomRightRadius: {},
    fontFamily: {},
    fontSize: {},
    lineHeight: {},
    textAlign: {},
    zIndex: {},
    top: {},
    left: {},
    right: {},
    bottom: {},
    verticalAlign: {},
    margin: {},
    marginBottom: {},
    marginLeft: {},
    marginRight: {},
    marginTop: {},
    letterSpacing: {},
    textTransform: {},
    fontWeight: {},
    whiteSpace: {},
    wordBreak: {},
    overflowWrap: {},
    fill: {},
    overflow: {},
    overflowX: {},
    overflowY: {},
    textOverflow: {},
    aspectRatio: {},
    opacity: {},
    cursor: {},
    gridTemplateColumns: {},
    grid: {},
    gridArea: {},
    gridAutoColumns: {},
    gridAutoFlow: {},
    gridAutoRows: {},
    gridColumn: {},
    gridColumnEnd: {},
    gridColumnStart: {},
    gridTemplate: {},
    gridTemplateAreas: {},
    gridTemplateRows: {},
    gridRow: {},
    gridRowEnd: {},
    gridRowStart: {},
    gap: {},
    columnGap: {},
    rowGap: {},
    inset: {},
    insetInlineStart: {},
    insetInlineEnd: {},
    transform: {},
    appearance: {},
    userSelect: {},
    p: {},
    pl: {},
    pr: {},
    pt: {},
    pb: {},
    paddingX: {},
    paddingY: {},
    px: {},
    py: {},
    m: {},
    mr: {},
    ml: {},
    mt: {},
    mb: {},
    marginX: {},
    marginY: {},
    mx: {},
    my: {},
    color: {},
    backgroundColor: {},
    borderColor: {},
    boxShadow: {},
    visibility: {},
    outline: {},
    filter: {},
    stroke: {},
    borderWidth: {},
    borderStyle: {},
    borderBottomColor: {},
    borderBottomStyle: {},
    borderBottomWidth: {},
    borderTopColor: {},
    borderTopStyle: {},
    borderTopWidth: {},
    borderLeftColor: {},
    borderLeftStyle: {},
    borderLeftWidth: {},
    borderRightColor: {},
    borderRightStyle: {},
    borderRightWidth: {},
    borderCollapse: {},
    transition: {},
    transitionProperty: {},
    transitionDuration: {},
    animation: {},
    textDecoration: {},
    fontVariantNumeric: {},
    bg: {},
    border: {},
    as: {},
    className: {},
    class: {},
    children: {},
    attributes: {},
    rawCSS: {},
    boxRef: {},
    onClick: { type: Function },
    onDoubleClick: { type: Function },
    onMouseDown: { type: Function },
    onMouseUp: { type: Function },
    onMouseEnter: { type: Function },
    onMouseLeave: { type: Function },
    onMouseMove: { type: Function },
    onMouseOver: { type: Function },
    onMouseOut: { type: Function },
    onKeyDown: { type: Function },
    onKeyUp: { type: Function },
    onKeyPress: { type: Function },
    onFocus: { type: Function },
    onBlur: { type: Function },
    onInput: { type: Function },
    onChange: { type: Function },
    onSubmit: { type: Function },
    onReset: { type: Function },
    onScroll: { type: Function },
    onWheel: { type: Function },
    onDragStart: { type: Function },
    onDrag: { type: Function },
    onDragEnd: { type: Function },
    onDragEnter: { type: Function },
    onDragLeave: { type: Function },
    onDragOver: { type: Function },
    onDrop: { type: Function },
    onTouchStart: { type: Function },
    onTouchMove: { type: Function },
    onTouchEnd: { type: Function },
    onTouchCancel: { type: Function }
  },
  emits: [
    "click",
    "dblclick",
    "mousedown",
    "mouseup",
    "mouseenter",
    "mouseleave",
    "mousemove",
    "mouseover",
    "mouseout",
    "keydown",
    "keyup",
    "keypress",
    "focus",
    "blur",
    "input",
    "change",
    "submit",
    "reset",
    "scroll",
    "wheel",
    "dragstart",
    "drag",
    "dragend",
    "dragenter",
    "dragleave",
    "dragover",
    "drop",
    "touchstart",
    "touchmove",
    "touchend",
    "touchcancel"
  ],
  setup(__props, { emit: __emit }) {
    const emit = __emit;
    const eventMappings = {
      onClick: "click",
      onDoubleClick: "dblclick",
      onMouseDown: "mousedown",
      onMouseUp: "mouseup",
      onMouseEnter: "mouseenter",
      onMouseLeave: "mouseleave",
      onMouseMove: "mousemove",
      onMouseOver: "mouseover",
      onMouseOut: "mouseout",
      onKeyDown: "keydown",
      onKeyUp: "keyup",
      onKeyPress: "keypress",
      onFocus: "focus",
      onBlur: "blur",
      onInput: "input",
      onChange: "change",
      onSubmit: "submit",
      onReset: "reset",
      onScroll: "scroll",
      onWheel: "wheel",
      onDragStart: "dragstart",
      onDrag: "drag",
      onDragEnd: "dragend",
      onDragEnter: "dragenter",
      onDragLeave: "dragleave",
      onDragOver: "dragover",
      onDrop: "drop",
      onTouchStart: "touchstart",
      onTouchMove: "touchmove",
      onTouchEnd: "touchend",
      onTouchCancel: "touchcancel"
    };
    const props = __props;
    const comp = vue.computed(() => {
      return props.as ?? box_types.DEFAULT_VALUES.as;
    });
    const finalPassThroughProps = vue.computed(() => {
      return boxStyles.passThroughProps;
    });
    const boxStyles = vue.computed(() => {
      const sprinklesObj = rainbowSprinkles_css.rainbowSprinkles({
        ...lodash.omit(props, ["attributes", "as", "boxRef.value"]),
        ...props.attributes
      });
      return {
        combinedClassName: clx(sprinklesObj.className, props.class),
        style: sprinklesObj.style,
        passThroughProps: lodash.omit(sprinklesObj.otherProps, [
          "attributes",
          "style",
          "rawCSS",
          "colorScheme"
        ])
      };
    });
    const eventHandlers = vue.computed(() => {
      const handlers = {};
      const eventProps = [
        "onClick",
        "onDoubleClick",
        "onMouseDown",
        "onMouseUp",
        "onMouseEnter",
        "onMouseLeave",
        "onMouseMove",
        "onMouseOver",
        "onMouseOut",
        "onKeyDown",
        "onKeyUp",
        "onKeyPress",
        "onFocus",
        "onBlur",
        "onInput",
        "onChange",
        "onSubmit",
        "onReset",
        "onScroll",
        "onWheel",
        "onDragStart",
        "onDrag",
        "onDragEnd",
        "onDragEnter",
        "onDragLeave",
        "onDragOver",
        "onDrop",
        "onTouchStart",
        "onTouchMove",
        "onTouchEnd",
        "onTouchCancel"
      ];
      eventProps.forEach((eventName) => {
        if (props[eventName]) {
          handlers[eventMappings[eventName]] = (event) => {
            emit(eventMappings[eventName], event);
          };
        }
      });
      return handlers;
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(comp.value), vue.mergeProps({
        style: {
          ...boxStyles.value.style,
          ..._ctx.attributes?.style,
          ..._ctx.rawCSS
        },
        ref: "boxRef",
        class: boxStyles.value.combinedClassName
      }, {
        ...finalPassThroughProps.value
      }, vue.toHandlers(eventHandlers.value)), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["style", "class"]);
    };
  }
});

exports.default = _sfc_main;
