'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const clx = require('clsx');
const button_css = require('./button.css.cjs');

function recipe({
  as,
  variant,
  intent,
  isDisabled,
  theme
}) {
  const intentMap = {
    primary: button_css.intentPrimary,
    secondary: button_css.intentSecondary,
    tertiary: button_css.intentTertiary,
    warning: button_css.intentWarning,
    success: button_css.intentSuccess,
    danger: button_css.intentDanger,
    text: button_css.intentText
  };
  const intentVariants = intentMap[intent];
  const intentClass = intentVariants ? intentVariants[theme] : button_css.intentPrimary[theme];
  return clx(
    as === "a" ? button_css.baseAnchorButton : button_css.baseButton,
    intentClass,
    intent === "tertiary" && variant === "outlined" ? null : button_css.variants[variant],
    isDisabled ? button_css.disabled : null
  );
}
const buttonOverrides = {
  name: "button",
  overrides: [
    [button_css.buttonBgVar, "bg"],
    [button_css.buttonHoverBgVar, "hoverBg"],
    [button_css.buttonTextColorVar, "color"],
    [button_css.buttonHoverTextColorVar, "hoverColor"]
  ]
};

exports.buttonOverrides = buttonOverrides;
exports.recipe = recipe;
