'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const clx = require('clsx');
const button_vue_vue_type_script_setup_true_lang = require('../button/button.vue.cjs');
const icon_vue_vue_type_script_setup_true_lang = require('../icon/icon.vue.cjs');
const store = require('../../models/store.cjs');
const connectModalHead_css = require('./connect-modal-head.css.cjs');
const connectModalHead_helper = require('./connect-modal-head.helper.cjs');

const _hoisted_1 = ["id"];
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "connect-modal-head",
  props: {
    title: { default: void 0 },
    hasBackButton: { type: Boolean, default: false },
    hasCloseButton: { type: Boolean, default: true },
    onClose: {},
    onBack: { type: Function, default: void 0 },
    id: { default: void 0 },
    titleProps: { default: void 0 },
    closeButtonProps: { default: void 0 },
    className: { default: void 0 },
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const theme = vue.ref("light");
    const overrideManager = vue.ref(null);
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      theme.value = store.store.getState().theme.value;
      overrideManager.value = store.store.getState().overrideStyleManager;
      cleanupRef.value = store.store.subscribe((newState) => {
        theme.value = newState.theme.value;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("div", {
        class: vue.normalizeClass(vue.unref(clx)(connectModalHead_css.modalHeader, _ctx.className))
      }, [
        _ctx.hasBackButton ? (vue.openBlock(), vue.createElementBlock("div", {
          key: 0,
          class: vue.normalizeClass(connectModalHead_css.modalBackButton)
        }, [
          vue.createVNode(vue.unref(button_vue_vue_type_script_setup_true_lang.default), {
            variant: "ghost",
            intent: "secondary",
            size: "sm",
            onClick: (e) => {
              _ctx.onBack?.(e);
            },
            class: vue.normalizeClass(connectModalHead_css.headerButton)
          }, {
            default: vue.withCtx(() => [
              vue.createVNode(vue.unref(icon_vue_vue_type_script_setup_true_lang.default), {
                name: "arrowLeftSLine",
                size: "$2xl",
                color: "inherit"
              })
            ]),
            _: 1
          }, 8, ["onClick", "class"])
        ], 2)) : vue.createCommentVNode("", true),
        vue.createElementVNode("p", vue.mergeProps({
          id: _ctx.id,
          style: overrideManager.value?.applyOverrides(vue.unref(connectModalHead_helper.connectModalHeadTitleOverrides).name),
          class: connectModalHead_css.modalHeaderText[theme.value]
        }, _ctx.titleProps), vue.toDisplayString(_ctx.title), 17, _hoisted_1),
        _ctx.hasCloseButton ? (vue.openBlock(), vue.createElementBlock("div", {
          key: 1,
          class: vue.normalizeClass(connectModalHead_css.modalCloseButton)
        }, [
          vue.createVNode(vue.unref(button_vue_vue_type_script_setup_true_lang.default), {
            variant: "ghost",
            intent: "secondary",
            size: "sm",
            domAttributes: _ctx.closeButtonProps,
            onClick: (e) => _ctx.closeButtonProps?.onClick?.(e),
            class: vue.normalizeClass(connectModalHead_css.headerButton)
          }, {
            default: vue.withCtx(() => [
              vue.createVNode(vue.unref(icon_vue_vue_type_script_setup_true_lang.default), {
                name: "closeFilled",
                size: "$2xl",
                color: "inherit"
              })
            ]),
            _: 1
          }, 8, ["domAttributes", "onClick", "class"])
        ], 2)) : vue.createCommentVNode("", true)
      ], 2);
    };
  }
});

exports.default = _sfc_main;
