import { defineComponent, ref, onMounted, onUnmounted, openBlock, createElementBlock, normalizeClass, unref, createVNode, withCtx, createCommentVNode, createElementVNode, mergeProps, toDisplayString } from 'vue';
import clx from 'clsx';
import _sfc_main$1 from '../button/button.vue.js';
import _sfc_main$2 from '../icon/icon.vue.js';
import { store } from '../../models/store.js';
import { modalHeader, modalBackButton, headerButton, modalHeaderText, modalCloseButton } from './connect-modal-head.css.js';
import { connectModalHeadTitleOverrides } from './connect-modal-head.helper.js';

const _hoisted_1 = ["id"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "connect-modal-head",
  props: {
    title: { default: void 0 },
    hasBackButton: { type: Boolean, default: false },
    hasCloseButton: { type: Boolean, default: true },
    onClose: {},
    onBack: { type: Function, default: void 0 },
    id: { default: void 0 },
    titleProps: { default: void 0 },
    closeButtonProps: { default: void 0 },
    className: { default: void 0 },
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const theme = ref("light");
    const overrideManager = ref(null);
    const cleanupRef = ref();
    onMounted(() => {
      theme.value = store.getState().theme.value;
      overrideManager.value = store.getState().overrideStyleManager;
      cleanupRef.value = store.subscribe((newState) => {
        theme.value = newState.theme.value;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(unref(clx)(modalHeader, _ctx.className))
      }, [
        _ctx.hasBackButton ? (openBlock(), createElementBlock("div", {
          key: 0,
          class: normalizeClass(modalBackButton)
        }, [
          createVNode(unref(_sfc_main$1), {
            variant: "ghost",
            intent: "secondary",
            size: "sm",
            onClick: (e) => {
              _ctx.onBack?.(e);
            },
            class: normalizeClass(headerButton)
          }, {
            default: withCtx(() => [
              createVNode(unref(_sfc_main$2), {
                name: "arrowLeftSLine",
                size: "$2xl",
                color: "inherit"
              })
            ]),
            _: 1
          }, 8, ["onClick", "class"])
        ], 2)) : createCommentVNode("", true),
        createElementVNode("p", mergeProps({
          id: _ctx.id,
          style: overrideManager.value?.applyOverrides(unref(connectModalHeadTitleOverrides).name),
          class: modalHeaderText[theme.value]
        }, _ctx.titleProps), toDisplayString(_ctx.title), 17, _hoisted_1),
        _ctx.hasCloseButton ? (openBlock(), createElementBlock("div", {
          key: 1,
          class: normalizeClass(modalCloseButton)
        }, [
          createVNode(unref(_sfc_main$1), {
            variant: "ghost",
            intent: "secondary",
            size: "sm",
            domAttributes: _ctx.closeButtonProps,
            onClick: (e) => _ctx.closeButtonProps?.onClick?.(e),
            class: normalizeClass(headerButton)
          }, {
            default: withCtx(() => [
              createVNode(unref(_sfc_main$2), {
                name: "closeFilled",
                size: "$2xl",
                color: "inherit"
              })
            ]),
            _: 1
          }, 8, ["domAttributes", "onClick", "class"])
        ], 2)) : createCommentVNode("", true)
      ], 2);
    };
  }
});

export { _sfc_main as default };
