import { defineComponent, ref, onMounted, onUnmounted, openBlock, createElementBlock, normalizeClass, unref, createElementVNode, normalizeStyle, createVNode } from 'vue';
import clx from 'clsx';
import _sfc_main$2 from '../qrcode/qrcode.vue.js';
import _sfc_main$1 from '../icon/icon.vue.js';
import { qrcodeErrorContainer, qrcodeBlur, qrcodeReloadButtonContainer, qrcodeReloadButton } from './connect-modal-qrcode-error.css.js';
import { qrCodeContainer, qrCodeBgVar, qrCodeFgVar } from '../connect-modal-qrcode/connect-modal-qrcode.css.js';
import { store } from '../../models/store.js';
import { connectModalQRCodeErrorOverrides, connectModalQRCodeErrorButtonOverrides } from './connect-modal-qrcode-error.helper.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "connect-modal-qrcode-error",
  props: {
    qrCodeSize: {},
    onRefresh: { type: Function },
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const internalTheme = ref("light");
    const overrideManager = ref(null);
    const cleanupRef = ref();
    onMounted(() => {
      internalTheme.value = store.getState().theme;
      overrideManager.value = store.getState().overrideStyleManager;
      cleanupRef.value = store.subscribe((newState) => {
        internalTheme.value = newState.theme;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(unref(clx)(unref(qrcodeErrorContainer), unref(qrCodeContainer), _ctx.className))
      }, [
        createElementVNode("div", {
          style: normalizeStyle(
            overrideManager.value?.applyOverrides(unref(connectModalQRCodeErrorOverrides).name)
          ),
          class: normalizeClass(unref(qrcodeBlur)[internalTheme.value])
        }, null, 6),
        createElementVNode("div", {
          class: normalizeClass(unref(qrcodeReloadButtonContainer))
        }, [
          createElementVNode("button", {
            onClick: _cache[0] || (_cache[0] = ($event) => _ctx.onRefresh?.($event)),
            style: normalizeStyle(
              overrideManager.value?.applyOverrides(
                unref(connectModalQRCodeErrorButtonOverrides).name
              )
            ),
            class: normalizeClass(unref(qrcodeReloadButton)[internalTheme.value])
          }, [
            createElementVNode("span", null, [
              createVNode(unref(_sfc_main$1), {
                name: "restart",
                size: "$lg"
              })
            ])
          ], 6)
        ], 2),
        createVNode(unref(_sfc_main$2), {
          value: "https://",
          level: "L",
          size: _ctx.qrCodeSize,
          bgColor: unref(qrCodeBgVar),
          fgColor: unref(qrCodeFgVar),
          includeMargin: false
        }, null, 8, ["size", "bgColor", "fgColor"])
      ], 2);
    };
  }
});

export { _sfc_main as default };
