'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const anime = require('animejs');
const connectModalQrcodeSkeleton_vue_vue_type_script_setup_true_lang = require('../connect-modal-qrcode-skeleton/connect-modal-qrcode-skeleton.vue.cjs');
const stack_vue_vue_type_script_setup_true_lang = require('../stack/stack.vue.cjs');
const box_vue_vue_type_script_setup_true_lang = require('../box/box.vue.cjs');
const text_vue_vue_type_script_setup_true_lang = require('../text/text.vue.cjs');
const qrcode_vue_vue_type_script_setup_true_lang = require('../qrcode/qrcode.vue.cjs');
const connectModalQrcodeError_vue_vue_type_script_setup_true_lang = require('../connect-modal-qrcode-error/connect-modal-qrcode-error.vue.cjs');
const connectModalQrcode_css = require('./connect-modal-qrcode.css.cjs');
const store = require('../../models/store.cjs');
const connectModalQrcode_helper = require('./connect-modal-qrcode.helper.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "connect-modal-qrcode",
  props: {
    status: { default: void 0 },
    link: { default: void 0 },
    description: { default: void 0 },
    qrCodeSize: { default: 230 },
    errorTitle: { default: void 0 },
    errorDesc: { default: void 0 },
    onRefresh: { type: Function, default: void 0 },
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const displayBlur = vue.ref(false);
    const internalTheme = vue.ref("light");
    const overrideManager = vue.ref(null);
    const measureRef = vue.ref();
    const shadowRef = vue.ref();
    const animationRef = vue.ref();
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      internalTheme.value = store.store.getState().theme;
      overrideManager.value = store.store.getState().overrideStyleManager;
      if (measureRef.value) {
        if (measureRef.value.clientHeight >= 64) {
          displayBlur.value = true;
        } else {
          displayBlur.value = false;
        }
        const scrollHandler = () => {
          const height = Math.abs(
            measureRef.value.scrollHeight - measureRef.value.clientHeight - measureRef.value.scrollTop
          );
          if (height < 1) {
            displayBlur.value = false;
          } else {
            displayBlur.value = true;
          }
        };
        measureRef.value.addEventListener("scroll", scrollHandler);
        const storeUnsub = store.store.subscribe((newState) => {
          internalTheme.value = newState.theme;
          overrideManager.value = newState.overrideStyleManager;
        });
        cleanupRef.value = () => {
          storeUnsub();
          if (measureRef.value) {
            measureRef.value.removeEventListener("scroll", scrollHandler);
          }
        };
      }
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    vue.watch(
      () => [displayBlur.value, shadowRef.value],
      () => {
        if (!shadowRef.value) return;
        if (shadowRef.value && !animationRef.value) {
          animationRef.value = anime({
            targets: shadowRef.value,
            opacity: [0, 1],
            height: [0, 28],
            delay: 50,
            duration: 250,
            direction: `alternate`,
            loop: false,
            autoplay: false,
            easing: `easeInOutSine`
          });
        }
        if (displayBlur.value) {
          animationRef.value?.restart();
        } else {
          animationRef.value?.reverse();
        }
      },
      { immediate: true }
    );
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(stack_vue_vue_type_script_setup_true_lang.default), {
        direction: "vertical",
        space: "$0",
        attributes: {
          alignItems: "center"
        }
      }, {
        default: vue.withCtx(() => [
          vue.createVNode(vue.unref(text_vue_vue_type_script_setup_true_lang.default), {
            fontWeight: "$medium",
            fontSize: "$md",
            class: vue.normalizeClass(vue.unref(connectModalQrcode_css.descriptionStyle))
          }, {
            default: vue.withCtx(() => [
              vue.createTextVNode(vue.toDisplayString(_ctx.description), 1)
            ]),
            _: 1
          }, 8, ["class"]),
          _ctx.status === "Pending" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 0 }, [
            vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), { height: "$4" }),
            vue.createVNode(vue.unref(connectModalQrcodeSkeleton_vue_vue_type_script_setup_true_lang.default))
          ], 64)) : vue.createCommentVNode("", true),
          _ctx.status === "Done" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 1 }, [
            vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), { height: "$4" }),
            vue.createElementVNode("div", {
              style: vue.normalizeStyle(overrideManager.value?.applyOverrides(vue.unref(connectModalQrcode_helper.connectQRCodeOverrides).name)),
              class: vue.normalizeClass(vue.unref(connectModalQrcode_css.qrCodeContainer)[internalTheme.value])
            }, [
              vue.createVNode(vue.unref(qrcode_vue_vue_type_script_setup_true_lang.default), {
                level: "L",
                value: _ctx.link,
                size: _ctx.qrCodeSize,
                bgColor: vue.unref(connectModalQrcode_css.qrCodeBgVar),
                fgColor: vue.unref(connectModalQrcode_css.qrCodeFgVar),
                includeMargin: false
              }, null, 8, ["value", "size", "bgColor", "fgColor"])
            ], 6)
          ], 64)) : vue.createCommentVNode("", true),
          _ctx.status === "Error" || _ctx.status === "Expired" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 2 }, [
            vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), { height: "$4" }),
            vue.createVNode(vue.unref(connectModalQrcodeError_vue_vue_type_script_setup_true_lang.default), {
              onRefresh: (event) => _ctx.onRefresh?.(),
              qrCodeSize: _ctx.qrCodeSize
            }, null, 8, ["onRefresh", "qrCodeSize"])
          ], 64)) : vue.createCommentVNode("", true),
          !!_ctx.errorTitle ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 3 }, [
            _ctx.status === "Error" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 0 }, [
              vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), { height: "$4" }),
              vue.createVNode(vue.unref(text_vue_vue_type_script_setup_true_lang.default), {
                as: "p",
                fontWeight: "$medium",
                fontSize: "$md",
                color: "$textDanger",
                attributes: {
                  marginTop: "$2"
                }
              }, {
                default: vue.withCtx(() => [
                  vue.createTextVNode(vue.toDisplayString(_ctx.errorTitle), 1)
                ]),
                _: 1
              })
            ], 64)) : vue.createCommentVNode("", true),
            _ctx.status === "Expired" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 1 }, [
              vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), { height: "$4" }),
              vue.createVNode(vue.unref(text_vue_vue_type_script_setup_true_lang.default), {
                as: "p",
                fontWeight: "$medium",
                fontSize: "$md",
                color: "$textWarning",
                attributes: {
                  marginTop: "$2"
                }
              }, {
                default: vue.withCtx(() => [
                  vue.createTextVNode(vue.toDisplayString(_ctx.errorTitle), 1)
                ]),
                _: 1
              })
            ], 64)) : vue.createCommentVNode("", true)
          ], 64)) : vue.createCommentVNode("", true),
          !!_ctx.errorDesc ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 4 }, [
            vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), { height: "$4" }),
            vue.createElementVNode("div", {
              class: vue.normalizeClass(vue.unref(connectModalQrcode_css.qrCodeDesc))
            }, [
              vue.createElementVNode("div", {
                ref_key: "measureRef",
                ref: measureRef,
                class: vue.normalizeClass(vue.unref(connectModalQrcode_css.qrCodeDescContent))
              }, [
                vue.createElementVNode("p", null, vue.toDisplayString(_ctx.errorDesc), 1)
              ], 2),
              vue.createElementVNode("div", {
                ref_key: "shadowRef",
                ref: shadowRef,
                style: vue.normalizeStyle(
                  overrideManager.value?.applyOverrides(vue.unref(connectModalQrcode_helper.connectQRCodeShadowOverrides).name)
                ),
                class: vue.normalizeClass(vue.unref(connectModalQrcode_css.qrCodeDescShadow)[internalTheme.value])
              }, null, 6)
            ], 2)
          ], 64)) : vue.createCommentVNode("", true)
        ]),
        _: 1
      });
    };
  }
});

exports.default = _sfc_main;
