'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const clx = require('clsx');
const box_vue_vue_type_script_setup_true_lang = require('../box/box.vue.cjs');
const button_vue_vue_type_script_setup_true_lang = require('../button/button.vue.cjs');
const clipboardCopyText_vue_vue_type_script_setup_true_lang = require('../clipboard-copy-text/clipboard-copy-text.vue.cjs');
const connectModalInstallButton_vue_vue_type_script_setup_true_lang = require('../connect-modal-install-button/connect-modal-install-button.vue.cjs');
const connectModalStatus_css = require('./connect-modal-status.css.cjs');
const text_css = require('../text/text.css.cjs');
const shared_css = require('../shared/shared.css.cjs');
const store = require('../../models/store.cjs');

const _hoisted_1 = ["src", "alt"];
const _hoisted_2 = { key: 0 };
const _hoisted_3 = ["href"];
const _hoisted_4 = ["src", "alt"];
const _hoisted_5 = ["src", "alt"];
const _hoisted_6 = ["src", "alt"];
const _hoisted_7 = ["src", "alt"];
const _hoisted_8 = ["src", "alt"];
const _hoisted_9 = ["src", "alt"];
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "connect-modal-status",
  props: {
    wallet: {},
    status: {},
    contentHeader: {},
    contentDesc: {},
    bottomLink: {},
    onConnect: { type: Function },
    connectedInfo: {},
    onDisconnect: { type: Function },
    onChangeWallet: { type: Function },
    disableInstall: { type: Boolean },
    onInstall: { type: Function },
    installIcon: {},
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    const internalTheme = vue.ref("light");
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      internalTheme.value = store.store.getState().theme;
      cleanupRef.value = store.store.subscribe((newState) => {
        internalTheme.value = newState.theme;
      });
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    function getConnectedInfo() {
      return props.connectedInfo;
    }
    function getWallet() {
      return props.wallet;
    }
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("div", {
        class: vue.normalizeClass(vue.unref(clx)(vue.unref(connectModalStatus_css.modalStatusContainer)[internalTheme.value], _ctx.className))
      }, [
        _ctx.status === "Disconnected" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 0 }, [
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
            marginBottom: "$5",
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogo))
          }, {
            default: vue.withCtx(() => [
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.disconnectedLogoFrame)[internalTheme.value])
              }, null, 2),
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogoImage))
              }, [
                vue.createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: vue.normalizeClass(vue.unref(connectModalStatus_css.flexImg))
                }, null, 10, _hoisted_1)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          vue.createElementVNode("p", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.disconnectedDesc)[internalTheme.value])
          }, "Wallet is disconnected", 2),
          vue.createElementVNode("div", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.widthContainer))
          }, [
            vue.createVNode(vue.unref(button_vue_vue_type_script_setup_true_lang.default), {
              leftIcon: "walletFilled",
              fluidWidth: true,
              onClick: (event) => _ctx.onConnect?.(),
              attributes: {
                marginBottom: "$3"
              }
            }, {
              default: vue.withCtx(() => [
                vue.createTextVNode(" Connect wallet ")
              ]),
              _: 1
            }, 8, ["onClick"])
          ], 2),
          !!vue.unref(connectModalStatus_css.bottomLink) ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_2, [
            vue.createElementVNode("a", {
              target: "_blank",
              rel: "noreferrer",
              href: vue.unref(connectModalStatus_css.bottomLink),
              class: vue.normalizeClass(vue.unref(connectModalStatus_css.bottomLink))
            }, " Don't have a wallet? ", 10, _hoisted_3)
          ])) : vue.createCommentVNode("", true)
        ], 64)) : vue.createCommentVNode("", true),
        _ctx.status === "Connecting" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 1 }, [
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
            marginBottom: "$8",
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogo))
          }, {
            default: vue.withCtx(() => [
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.connectingLogoFrame)[internalTheme.value])
              }, null, 2),
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogoImage))
              }, [
                vue.createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: vue.normalizeClass(vue.unref(connectModalStatus_css.flexImg))
                }, null, 10, _hoisted_4)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          vue.createElementVNode("p", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.connectingHeader)[internalTheme.value])
          }, vue.toDisplayString(_ctx.contentHeader), 3),
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
            as: "p",
            fontSize: "$sm",
            color: "$body",
            fontWeight: "$normal",
            textAlign: "center",
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.descMaxWidth))
          }, {
            default: vue.withCtx(() => [
              vue.createTextVNode(vue.toDisplayString(_ctx.contentDesc), 1)
            ]),
            _: 1
          }, 8, ["class"])
        ], 64)) : vue.createCommentVNode("", true),
        _ctx.status === "Connected" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 2 }, [
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
            marginBottom: "$8",
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogo))
          }, {
            default: vue.withCtx(() => [
              typeof getConnectedInfo().avatar === "string" ? (vue.openBlock(), vue.createElementBlock("div", {
                key: 0,
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogoImage))
              }, [
                vue.createElementVNode("img", {
                  src: getConnectedInfo().avatar,
                  alt: getConnectedInfo().name,
                  class: vue.normalizeClass(vue.unref(connectModalStatus_css.flexImg))
                }, null, 10, _hoisted_5)
              ], 2)) : vue.createCommentVNode("", true),
              !!getConnectedInfo().avatar && typeof getConnectedInfo().avatar !== "string" ? (vue.openBlock(), vue.createElementBlock("div", {
                key: 1,
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogoImageSvg))
              }, vue.toDisplayString(getConnectedInfo().avatar), 3)) : vue.createCommentVNode("", true)
            ]),
            _: 1
          }, 8, ["class"]),
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
            display: "flex",
            alignItems: "center",
            marginBottom: "$5"
          }, {
            default: vue.withCtx(() => [
              vue.createElementVNode("img", {
                width: "16px",
                height: "16px",
                src: getWallet().logo,
                alt: getWallet().name
              }, null, 8, _hoisted_6),
              !!getConnectedInfo().name ? (vue.openBlock(), vue.createElementBlock("p", {
                key: 0,
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.connectedInfo)[internalTheme.value])
              }, vue.toDisplayString(getConnectedInfo().name), 3)) : vue.createCommentVNode("", true)
            ]),
            _: 1
          }),
          vue.createElementVNode("div", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.widthContainer))
          }, [
            vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
              maxWidth: "$29",
              mx: "auto",
              marginBottom: "$6"
            }, {
              default: vue.withCtx(() => [
                vue.createVNode(vue.unref(clipboardCopyText_vue_vue_type_script_setup_true_lang.default), {
                  truncate: "middle",
                  text: getConnectedInfo().address,
                  class: vue.normalizeClass(vue.unref(connectModalStatus_css.copyText))
                }, null, 8, ["text", "class"])
              ]),
              _: 1
            })
          ], 2),
          vue.createElementVNode("div", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.widthContainer))
          }, [
            vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
              maxWidth: "$29",
              mx: "auto",
              attributes: {
                "data-part-id": "ConnectModalStatus-disconnect"
              }
            }, {
              default: vue.withCtx(() => [
                vue.createVNode(vue.unref(button_vue_vue_type_script_setup_true_lang.default), {
                  intent: "primary",
                  variant: "solid",
                  leftIcon: "walletFilled",
                  fluidWidth: true,
                  onClick: (event) => _ctx.onDisconnect?.()
                }, {
                  default: vue.withCtx(() => [
                    vue.createTextVNode(" Disconnect ")
                  ]),
                  _: 1
                }, 8, ["onClick"])
              ]),
              _: 1
            })
          ], 2)
        ], 64)) : vue.createCommentVNode("", true),
        _ctx.status === "NotExist" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 3 }, [
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
            marginBottom: "$7",
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogo))
          }, {
            default: vue.withCtx(() => [
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.notExistLogoFrame)[internalTheme.value])
              }, null, 2),
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogoImage))
              }, [
                vue.createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: vue.normalizeClass(vue.unref(connectModalStatus_css.flexImg))
                }, null, 10, _hoisted_7)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          vue.createElementVNode("p", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.dangerText)[internalTheme.value])
          }, vue.toDisplayString(_ctx.contentHeader), 3),
          vue.createElementVNode("p", {
            class: vue.normalizeClass(vue.unref(clx)(vue.unref(text_css.baseTextStyles), vue.unref(connectModalStatus_css.desc)[internalTheme.value]))
          }, vue.toDisplayString(_ctx.contentDesc), 3),
          vue.createElementVNode("div", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.widthContainer))
          }, [
            vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), { mt: "$7" }, {
              default: vue.withCtx(() => [
                vue.createVNode(vue.unref(connectModalInstallButton_vue_vue_type_script_setup_true_lang.default), {
                  fluidWidth: true,
                  onClick: (event) => _ctx.onInstall?.(),
                  disabled: !!_ctx.disableInstall
                }, {
                  default: vue.withCtx(() => [
                    vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
                      as: "span",
                      display: "flex",
                      justifyContent: "center",
                      alignItems: "center"
                    }, {
                      default: vue.withCtx(() => [
                        vue.createElementVNode("span", null, vue.toDisplayString(_ctx.installIcon), 1),
                        vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
                          as: "span",
                          marginLeft: "$4"
                        }, {
                          default: vue.withCtx(() => [
                            vue.createTextVNode(" Install " + vue.toDisplayString(getWallet().prettyName ?? getWallet().name), 1)
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["onClick", "disabled"])
              ]),
              _: 1
            })
          ], 2)
        ], 64)) : vue.createCommentVNode("", true),
        _ctx.status === "Rejected" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 4 }, [
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
            marginBottom: "$7",
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogo))
          }, {
            default: vue.withCtx(() => [
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.notExistLogoFrame)[internalTheme.value])
              }, null, 2),
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogoImage))
              }, [
                vue.createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: vue.normalizeClass(vue.unref(connectModalStatus_css.flexImg))
                }, null, 10, _hoisted_8)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          vue.createElementVNode("p", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.dangerText)[internalTheme.value])
          }, vue.toDisplayString(_ctx.contentHeader), 3),
          vue.createElementVNode("p", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.desc)[internalTheme.value])
          }, vue.toDisplayString(_ctx.contentDesc), 3),
          vue.createElementVNode("div", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.widthContainer))
          }, [
            vue.createVNode(vue.unref(button_vue_vue_type_script_setup_true_lang.default), {
              leftIcon: "walletFilled",
              fluidWidth: true,
              onClick: (event) => _ctx.onConnect?.(),
              attributes: {
                marginBottom: "$3"
              }
            }, {
              default: vue.withCtx(() => [
                vue.createTextVNode(" Reconnect ")
              ]),
              _: 1
            }, 8, ["onClick"])
          ], 2)
        ], 64)) : vue.createCommentVNode("", true),
        _ctx.status === "Error" ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 5 }, [
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
            marginBottom: "$7",
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogo))
          }, {
            default: vue.withCtx(() => [
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.notExistLogoFrame)[internalTheme.value])
              }, null, 2),
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.statusLogoImage))
              }, [
                vue.createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: vue.normalizeClass(vue.unref(connectModalStatus_css.flexImg))
                }, null, 10, _hoisted_9)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          vue.createElementVNode("p", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.dangerText)[internalTheme.value])
          }, vue.toDisplayString(_ctx.contentHeader), 3),
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), { position: "relative" }, {
            default: vue.withCtx(() => [
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(connectModalStatus_css.errorDescription))
              }, [
                vue.createElementVNode("p", {
                  class: vue.normalizeClass(vue.unref(connectModalStatus_css.desc)[internalTheme.value])
                }, vue.toDisplayString(_ctx.contentDesc), 3)
              ], 2),
              vue.createElementVNode("div", {
                class: vue.normalizeClass(vue.unref(shared_css.bottomShadow)[internalTheme.value])
              }, null, 2)
            ]),
            _: 1
          }),
          vue.createElementVNode("div", {
            class: vue.normalizeClass(vue.unref(connectModalStatus_css.widthContainer))
          }, [
            vue.createVNode(vue.unref(button_vue_vue_type_script_setup_true_lang.default), {
              leftIcon: "walletFilled",
              fluidWidth: true,
              onClick: (event) => _ctx.onChangeWallet?.(),
              attributes: {
                marginBottom: "$3"
              }
            }, {
              default: vue.withCtx(() => [
                vue.createTextVNode(" Change wallet ")
              ]),
              _: 1
            }, 8, ["onClick"])
          ], 2)
        ], 64)) : vue.createCommentVNode("", true)
      ], 2);
    };
  }
});

exports.default = _sfc_main;
