import { defineComponent, ref, onMounted, onUnmounted, openBlock, createElementBlock, normalizeClass, unref, Fragment, createVNode, withCtx, createElementVNode, createTextVNode, createCommentVNode, toDisplayString } from 'vue';
import clx from 'clsx';
import _sfc_main$1 from '../box/box.vue.js';
import _sfc_main$2 from '../button/button.vue.js';
import _sfc_main$3 from '../clipboard-copy-text/clipboard-copy-text.vue.js';
import _sfc_main$4 from '../connect-modal-install-button/connect-modal-install-button.vue.js';
import { modalStatusContainer, statusLogo, disconnectedLogoFrame, statusLogoImage, flexImg, disconnectedDesc, widthContainer, bottomLink, connectingLogoFrame, connectingHeader, descMaxWidth, statusLogoImageSvg, connectedInfo, copyText, notExistLogoFrame, dangerText, desc, errorDescription } from './connect-modal-status.css.js';
import { baseTextStyles } from '../text/text.css.js';
import { bottomShadow } from '../shared/shared.css.js';
import { store } from '../../models/store.js';

const _hoisted_1 = ["src", "alt"];
const _hoisted_2 = { key: 0 };
const _hoisted_3 = ["href"];
const _hoisted_4 = ["src", "alt"];
const _hoisted_5 = ["src", "alt"];
const _hoisted_6 = ["src", "alt"];
const _hoisted_7 = ["src", "alt"];
const _hoisted_8 = ["src", "alt"];
const _hoisted_9 = ["src", "alt"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "connect-modal-status",
  props: {
    wallet: {},
    status: {},
    contentHeader: {},
    contentDesc: {},
    bottomLink: {},
    onConnect: { type: Function },
    connectedInfo: {},
    onDisconnect: { type: Function },
    onChangeWallet: { type: Function },
    disableInstall: { type: Boolean },
    onInstall: { type: Function },
    installIcon: {},
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    const internalTheme = ref("light");
    const cleanupRef = ref();
    onMounted(() => {
      internalTheme.value = store.getState().theme;
      cleanupRef.value = store.subscribe((newState) => {
        internalTheme.value = newState.theme;
      });
    });
    onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    function getConnectedInfo() {
      return props.connectedInfo;
    }
    function getWallet() {
      return props.wallet;
    }
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(unref(clx)(unref(modalStatusContainer)[internalTheme.value], _ctx.className))
      }, [
        _ctx.status === "Disconnected" ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
          createVNode(unref(_sfc_main$1), {
            marginBottom: "$5",
            class: normalizeClass(unref(statusLogo))
          }, {
            default: withCtx(() => [
              createElementVNode("div", {
                class: normalizeClass(unref(disconnectedLogoFrame)[internalTheme.value])
              }, null, 2),
              createElementVNode("div", {
                class: normalizeClass(unref(statusLogoImage))
              }, [
                createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: normalizeClass(unref(flexImg))
                }, null, 10, _hoisted_1)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          createElementVNode("p", {
            class: normalizeClass(unref(disconnectedDesc)[internalTheme.value])
          }, "Wallet is disconnected", 2),
          createElementVNode("div", {
            class: normalizeClass(unref(widthContainer))
          }, [
            createVNode(unref(_sfc_main$2), {
              leftIcon: "walletFilled",
              fluidWidth: true,
              onClick: (event) => _ctx.onConnect?.(),
              attributes: {
                marginBottom: "$3"
              }
            }, {
              default: withCtx(() => [
                createTextVNode(" Connect wallet ")
              ]),
              _: 1
            }, 8, ["onClick"])
          ], 2),
          !!unref(bottomLink) ? (openBlock(), createElementBlock("div", _hoisted_2, [
            createElementVNode("a", {
              target: "_blank",
              rel: "noreferrer",
              href: unref(bottomLink),
              class: normalizeClass(unref(bottomLink))
            }, " Don't have a wallet? ", 10, _hoisted_3)
          ])) : createCommentVNode("", true)
        ], 64)) : createCommentVNode("", true),
        _ctx.status === "Connecting" ? (openBlock(), createElementBlock(Fragment, { key: 1 }, [
          createVNode(unref(_sfc_main$1), {
            marginBottom: "$8",
            class: normalizeClass(unref(statusLogo))
          }, {
            default: withCtx(() => [
              createElementVNode("div", {
                class: normalizeClass(unref(connectingLogoFrame)[internalTheme.value])
              }, null, 2),
              createElementVNode("div", {
                class: normalizeClass(unref(statusLogoImage))
              }, [
                createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: normalizeClass(unref(flexImg))
                }, null, 10, _hoisted_4)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          createElementVNode("p", {
            class: normalizeClass(unref(connectingHeader)[internalTheme.value])
          }, toDisplayString(_ctx.contentHeader), 3),
          createVNode(unref(_sfc_main$1), {
            as: "p",
            fontSize: "$sm",
            color: "$body",
            fontWeight: "$normal",
            textAlign: "center",
            class: normalizeClass(unref(descMaxWidth))
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(_ctx.contentDesc), 1)
            ]),
            _: 1
          }, 8, ["class"])
        ], 64)) : createCommentVNode("", true),
        _ctx.status === "Connected" ? (openBlock(), createElementBlock(Fragment, { key: 2 }, [
          createVNode(unref(_sfc_main$1), {
            marginBottom: "$8",
            class: normalizeClass(unref(statusLogo))
          }, {
            default: withCtx(() => [
              typeof getConnectedInfo().avatar === "string" ? (openBlock(), createElementBlock("div", {
                key: 0,
                class: normalizeClass(unref(statusLogoImage))
              }, [
                createElementVNode("img", {
                  src: getConnectedInfo().avatar,
                  alt: getConnectedInfo().name,
                  class: normalizeClass(unref(flexImg))
                }, null, 10, _hoisted_5)
              ], 2)) : createCommentVNode("", true),
              !!getConnectedInfo().avatar && typeof getConnectedInfo().avatar !== "string" ? (openBlock(), createElementBlock("div", {
                key: 1,
                class: normalizeClass(unref(statusLogoImageSvg))
              }, toDisplayString(getConnectedInfo().avatar), 3)) : createCommentVNode("", true)
            ]),
            _: 1
          }, 8, ["class"]),
          createVNode(unref(_sfc_main$1), {
            display: "flex",
            alignItems: "center",
            marginBottom: "$5"
          }, {
            default: withCtx(() => [
              createElementVNode("img", {
                width: "16px",
                height: "16px",
                src: getWallet().logo,
                alt: getWallet().name
              }, null, 8, _hoisted_6),
              !!getConnectedInfo().name ? (openBlock(), createElementBlock("p", {
                key: 0,
                class: normalizeClass(unref(connectedInfo)[internalTheme.value])
              }, toDisplayString(getConnectedInfo().name), 3)) : createCommentVNode("", true)
            ]),
            _: 1
          }),
          createElementVNode("div", {
            class: normalizeClass(unref(widthContainer))
          }, [
            createVNode(unref(_sfc_main$1), {
              maxWidth: "$29",
              mx: "auto",
              marginBottom: "$6"
            }, {
              default: withCtx(() => [
                createVNode(unref(_sfc_main$3), {
                  truncate: "middle",
                  text: getConnectedInfo().address,
                  class: normalizeClass(unref(copyText))
                }, null, 8, ["text", "class"])
              ]),
              _: 1
            })
          ], 2),
          createElementVNode("div", {
            class: normalizeClass(unref(widthContainer))
          }, [
            createVNode(unref(_sfc_main$1), {
              maxWidth: "$29",
              mx: "auto",
              attributes: {
                "data-part-id": "ConnectModalStatus-disconnect"
              }
            }, {
              default: withCtx(() => [
                createVNode(unref(_sfc_main$2), {
                  intent: "primary",
                  variant: "solid",
                  leftIcon: "walletFilled",
                  fluidWidth: true,
                  onClick: (event) => _ctx.onDisconnect?.()
                }, {
                  default: withCtx(() => [
                    createTextVNode(" Disconnect ")
                  ]),
                  _: 1
                }, 8, ["onClick"])
              ]),
              _: 1
            })
          ], 2)
        ], 64)) : createCommentVNode("", true),
        _ctx.status === "NotExist" ? (openBlock(), createElementBlock(Fragment, { key: 3 }, [
          createVNode(unref(_sfc_main$1), {
            marginBottom: "$7",
            class: normalizeClass(unref(statusLogo))
          }, {
            default: withCtx(() => [
              createElementVNode("div", {
                class: normalizeClass(unref(notExistLogoFrame)[internalTheme.value])
              }, null, 2),
              createElementVNode("div", {
                class: normalizeClass(unref(statusLogoImage))
              }, [
                createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: normalizeClass(unref(flexImg))
                }, null, 10, _hoisted_7)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          createElementVNode("p", {
            class: normalizeClass(unref(dangerText)[internalTheme.value])
          }, toDisplayString(_ctx.contentHeader), 3),
          createElementVNode("p", {
            class: normalizeClass(unref(clx)(unref(baseTextStyles), unref(desc)[internalTheme.value]))
          }, toDisplayString(_ctx.contentDesc), 3),
          createElementVNode("div", {
            class: normalizeClass(unref(widthContainer))
          }, [
            createVNode(unref(_sfc_main$1), { mt: "$7" }, {
              default: withCtx(() => [
                createVNode(unref(_sfc_main$4), {
                  fluidWidth: true,
                  onClick: (event) => _ctx.onInstall?.(),
                  disabled: !!_ctx.disableInstall
                }, {
                  default: withCtx(() => [
                    createVNode(unref(_sfc_main$1), {
                      as: "span",
                      display: "flex",
                      justifyContent: "center",
                      alignItems: "center"
                    }, {
                      default: withCtx(() => [
                        createElementVNode("span", null, toDisplayString(_ctx.installIcon), 1),
                        createVNode(unref(_sfc_main$1), {
                          as: "span",
                          marginLeft: "$4"
                        }, {
                          default: withCtx(() => [
                            createTextVNode(" Install " + toDisplayString(getWallet().prettyName ?? getWallet().name), 1)
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["onClick", "disabled"])
              ]),
              _: 1
            })
          ], 2)
        ], 64)) : createCommentVNode("", true),
        _ctx.status === "Rejected" ? (openBlock(), createElementBlock(Fragment, { key: 4 }, [
          createVNode(unref(_sfc_main$1), {
            marginBottom: "$7",
            class: normalizeClass(unref(statusLogo))
          }, {
            default: withCtx(() => [
              createElementVNode("div", {
                class: normalizeClass(unref(notExistLogoFrame)[internalTheme.value])
              }, null, 2),
              createElementVNode("div", {
                class: normalizeClass(unref(statusLogoImage))
              }, [
                createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: normalizeClass(unref(flexImg))
                }, null, 10, _hoisted_8)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          createElementVNode("p", {
            class: normalizeClass(unref(dangerText)[internalTheme.value])
          }, toDisplayString(_ctx.contentHeader), 3),
          createElementVNode("p", {
            class: normalizeClass(unref(desc)[internalTheme.value])
          }, toDisplayString(_ctx.contentDesc), 3),
          createElementVNode("div", {
            class: normalizeClass(unref(widthContainer))
          }, [
            createVNode(unref(_sfc_main$2), {
              leftIcon: "walletFilled",
              fluidWidth: true,
              onClick: (event) => _ctx.onConnect?.(),
              attributes: {
                marginBottom: "$3"
              }
            }, {
              default: withCtx(() => [
                createTextVNode(" Reconnect ")
              ]),
              _: 1
            }, 8, ["onClick"])
          ], 2)
        ], 64)) : createCommentVNode("", true),
        _ctx.status === "Error" ? (openBlock(), createElementBlock(Fragment, { key: 5 }, [
          createVNode(unref(_sfc_main$1), {
            marginBottom: "$7",
            class: normalizeClass(unref(statusLogo))
          }, {
            default: withCtx(() => [
              createElementVNode("div", {
                class: normalizeClass(unref(notExistLogoFrame)[internalTheme.value])
              }, null, 2),
              createElementVNode("div", {
                class: normalizeClass(unref(statusLogoImage))
              }, [
                createElementVNode("img", {
                  src: getWallet().logo,
                  alt: getWallet().name,
                  class: normalizeClass(unref(flexImg))
                }, null, 10, _hoisted_9)
              ], 2)
            ]),
            _: 1
          }, 8, ["class"]),
          createElementVNode("p", {
            class: normalizeClass(unref(dangerText)[internalTheme.value])
          }, toDisplayString(_ctx.contentHeader), 3),
          createVNode(unref(_sfc_main$1), { position: "relative" }, {
            default: withCtx(() => [
              createElementVNode("div", {
                class: normalizeClass(unref(errorDescription))
              }, [
                createElementVNode("p", {
                  class: normalizeClass(unref(desc)[internalTheme.value])
                }, toDisplayString(_ctx.contentDesc), 3)
              ], 2),
              createElementVNode("div", {
                class: normalizeClass(unref(bottomShadow)[internalTheme.value])
              }, null, 2)
            ]),
            _: 1
          }),
          createElementVNode("div", {
            class: normalizeClass(unref(widthContainer))
          }, [
            createVNode(unref(_sfc_main$2), {
              leftIcon: "walletFilled",
              fluidWidth: true,
              onClick: (event) => _ctx.onChangeWallet?.(),
              attributes: {
                marginBottom: "$3"
              }
            }, {
              default: withCtx(() => [
                createTextVNode(" Change wallet ")
              ]),
              _: 1
            }, 8, ["onClick"])
          ], 2)
        ], 64)) : createCommentVNode("", true)
      ], 2);
    };
  }
});

export { _sfc_main as default };
