'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const clx = require('clsx');
const connectModalWalletButton_css = require('./connect-modal-wallet-button.css.cjs');
const store = require('../../models/store.cjs');
const box_vue_vue_type_script_setup_true_lang = require('../box/box.vue.cjs');
const avatar_vue_vue_type_script_setup_true_lang = require('../avatar/avatar.vue.cjs');
const avatarBadge_vue_vue_type_script_setup_true_lang = require('../avatar-badge/avatar-badge.vue.cjs');
const icon_vue_vue_type_script_setup_true_lang = require('../icon/icon.vue.cjs');
const connectModalWalletButton_helper = require('./connect-modal-wallet-button.helper.cjs');
const text_vue_vue_type_script_setup_true_lang = require('../text/text.vue.cjs');
const index = require('../connect-modal-wallet-list/index.cjs');

const _hoisted_1 = ["title"];
const _hoisted_2 = ["alt", "src", "width", "height"];
const _hoisted_3 = ["alt", "src"];
const _hoisted_4 = ["alt", "src"];
const _hoisted_5 = ["src", "alt"];
const _hoisted_6 = ["src", "alt"];
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "connect-modal-wallet-button",
  props: {
    variant: {},
    logo: {},
    subLogo: {},
    btmLogo: {},
    name: {},
    prettyName: {},
    badge: {},
    onClick: {},
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const internalTheme = vue.ref("light");
    const overrideManager = vue.ref(null);
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      internalTheme.value = store.store.getState().theme;
      overrideManager.value = store.store.getState().overrideStyleManager;
      cleanupRef.value = store.store.subscribe((newState) => {
        internalTheme.value = newState.theme;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("button", {
        class: vue.normalizeClass(
          vue.unref(clx)(
            vue.unref(connectModalWalletButton_css.connectButtonStyle)[internalTheme.value],
            vue.unref(connectModalWalletButton_css.connectButtonVariants)({
              variant: _ctx.variant
            })
          )
        ),
        style: vue.normalizeStyle(overrideManager.value?.applyOverrides(vue.unref(connectModalWalletButton_helper.buttonOverrides).name)),
        title: _ctx.name,
        onClick: _cache[0] || (_cache[0] = ($event) => _ctx.onClick($event))
      }, [
        !!_ctx.logo ? (vue.openBlock(), vue.createBlock(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
          key: 0,
          as: "span",
          position: "relative",
          display: "block",
          class: vue.normalizeClass(
            vue.unref(clx)(
              vue.unref(connectModalWalletButton_css.logoVariants)({
                variant: _ctx.variant
              })
            )
          )
        }, {
          default: vue.withCtx(() => [
            vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), { position: "relative" }, {
              default: vue.withCtx(() => [
                _ctx.logo && !_ctx.btmLogo ? (vue.openBlock(), vue.createElementBlock("img", {
                  key: 0,
                  referrerPolicy: "no-referrer",
                  alt: _ctx.name,
                  src: _ctx.logo,
                  width: _ctx.variant === "square" ? "56px" : "32px",
                  height: _ctx.variant === "square" ? "56px" : "32px",
                  style: {
                    objectFit: "contain"
                  }
                }, null, 8, _hoisted_2)) : vue.createCommentVNode("", true),
                _ctx.btmLogo && _ctx.variant === "list" ? (vue.openBlock(), vue.createBlock(vue.unref(avatar_vue_vue_type_script_setup_true_lang.default), {
                  key: 1,
                  backgroundColor: "transparent",
                  size: "sm",
                  name: _ctx.name,
                  src: _ctx.logo,
                  rounded: false
                }, {
                  default: vue.withCtx(() => [
                    vue.createVNode(vue.unref(avatarBadge_vue_vue_type_script_setup_true_lang.default), {
                      size: "1.2em",
                      borderWidth: "0.1em",
                      attributes: {
                        backgroundColor: internalTheme.value === "dark" ? "$gray300" : "$white"
                      }
                    }, {
                      default: vue.withCtx(() => [
                        vue.createElementVNode("img", {
                          width: "100%",
                          height: "100%",
                          style: {
                            borderRadius: "9999px",
                            objectFit: "contain"
                          },
                          alt: ["MetaMask"].includes(_ctx.btmLogo) ? _ctx.btmLogo : `${_ctx.name} logo`,
                          src: ["MetaMask"].includes(_ctx.btmLogo) ? vue.unref(index.WalletPluginSystem)[_ctx.btmLogo].logo : _ctx.btmLogo
                        }, null, 8, _hoisted_3)
                      ]),
                      _: 1
                    }, 8, ["attributes"])
                  ]),
                  _: 1
                }, 8, ["name", "src"])) : vue.createCommentVNode("", true),
                _ctx.btmLogo && !_ctx.subLogo && _ctx.variant === "square" ? (vue.openBlock(), vue.createBlock(vue.unref(avatar_vue_vue_type_script_setup_true_lang.default), {
                  key: 2,
                  backgroundColor: "transparent",
                  size: "md",
                  name: _ctx.name,
                  src: _ctx.logo,
                  rounded: false
                }, {
                  default: vue.withCtx(() => [
                    vue.createVNode(vue.unref(avatarBadge_vue_vue_type_script_setup_true_lang.default), {
                      size: "1.2em",
                      borderWidth: "0.1em",
                      attributes: {
                        backgroundColor: internalTheme.value === "dark" ? "$gray300" : "$white"
                      }
                    }, {
                      default: vue.withCtx(() => [
                        vue.createElementVNode("img", {
                          width: "100%",
                          height: "100%",
                          style: {
                            borderRadius: "9999px",
                            objectFit: "contain"
                          },
                          alt: ["MetaMask"].includes(_ctx.btmLogo) ? _ctx.btmLogo : `${_ctx.name} logo`,
                          src: ["MetaMask"].includes(_ctx.btmLogo) ? vue.unref(index.WalletPluginSystem)[_ctx.btmLogo].logo : _ctx.btmLogo
                        }, null, 8, _hoisted_4)
                      ]),
                      _: 1
                    }, 8, ["attributes"])
                  ]),
                  _: 1
                }, 8, ["name", "src"])) : vue.createCommentVNode("", true)
              ]),
              _: 1
            }),
            _ctx.variant === "square" && typeof _ctx.subLogo === "string" && !_ctx.btmLogo ? (vue.openBlock(), vue.createElementBlock("span", {
              key: 0,
              style: vue.normalizeStyle(
                overrideManager.value?.applyOverrides(vue.unref(connectModalWalletButton_helper.buttonSublogoOverrides).name)
              ),
              class: vue.normalizeClass(vue.unref(connectModalWalletButton_css.subLogoSquare)[internalTheme.value])
            }, [
              _ctx.subLogo === "walletConnect" ? (vue.openBlock(), vue.createBlock(vue.unref(icon_vue_vue_type_script_setup_true_lang.default), {
                key: 0,
                name: "mobileWalletCircle",
                size: "2xl"
              })) : vue.createCommentVNode("", true),
              _ctx.subLogo !== "walletConnect" ? (vue.openBlock(), vue.createElementBlock("img", {
                key: 1,
                width: "24px",
                height: "24px",
                src: _ctx.subLogo,
                alt: `${_ctx.name} sub logo`,
                style: {
                  objectFit: "contain"
                }
              }, null, 8, _hoisted_5)) : vue.createCommentVNode("", true)
            ], 6)) : vue.createCommentVNode("", true)
          ]),
          _: 1
        }, 8, ["class"])) : vue.createCommentVNode("", true),
        vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
          rawCSS: {
            ...overrideManager.value?.applyOverrides(vue.unref(connectModalWalletButton_helper.buttonLabelOverrides).name),
            width: _ctx.variant === "square" ? "calc(80%)" : "auto"
          },
          class: vue.normalizeClass(
            vue.unref(clx)(
              vue.unref(connectModalWalletButton_css.buttonTextStyle)[internalTheme.value],
              vue.unref(connectModalWalletButton_css.buttonTextVariants)({
                variant: _ctx.variant
              })
            )
          )
        }, {
          default: vue.withCtx(() => [
            !_ctx.badge ? (vue.openBlock(), vue.createBlock(vue.unref(text_vue_vue_type_script_setup_true_lang.default), {
              key: 0,
              as: "span",
              ellipsis: true,
              textAlign: _ctx.variant === "square" ? "center" : "left",
              attributes: {
                width: "100%",
                display: "inline-block"
              }
            }, {
              default: vue.withCtx(() => [
                vue.createTextVNode(vue.toDisplayString(_ctx.name), 1)
              ]),
              _: 1
            }, 8, ["textAlign"])) : vue.createCommentVNode("", true),
            _ctx.badge ? (vue.openBlock(), vue.createBlock(vue.unref(text_vue_vue_type_script_setup_true_lang.default), {
              key: 1,
              as: "p",
              attributes: {
                display: "inline-block",
                position: "relative",
                pr: "$2"
              }
            }, {
              default: vue.withCtx(() => [
                vue.createVNode(vue.unref(text_vue_vue_type_script_setup_true_lang.default), {
                  as: "span",
                  ellipsis: true,
                  textAlign: _ctx.variant === "square" ? "center" : "left",
                  attributes: {
                    width: "100%",
                    display: "inline-block"
                  }
                }, {
                  default: vue.withCtx(() => [
                    vue.createTextVNode(vue.toDisplayString(_ctx.name), 1)
                  ]),
                  _: 1
                }, 8, ["textAlign"]),
                vue.createVNode(vue.unref(text_vue_vue_type_script_setup_true_lang.default), {
                  as: "span",
                  fontSize: "$3xs",
                  fontWeight: "$semibold",
                  attributes: {
                    px: "$3",
                    py: "4px",
                    borderRadius: "$md",
                    textTransform: "uppercase",
                    position: "absolute",
                    top: "$-3",
                    left: "$full",
                    color: internalTheme.value === "dark" ? "$gray300" : "$gray800",
                    backgroundColor: internalTheme.value === "dark" ? "$gray600" : "$gray200"
                  }
                }, {
                  default: vue.withCtx(() => [
                    vue.createTextVNode(vue.toDisplayString(_ctx.badge), 1)
                  ]),
                  _: 1
                }, 8, ["attributes"])
              ]),
              _: 1
            })) : vue.createCommentVNode("", true)
          ]),
          _: 1
        }, 8, ["rawCSS", "class"]),
        _ctx.variant === "list" && typeof _ctx.subLogo === "string" ? (vue.openBlock(), vue.createElementBlock("span", {
          key: 1,
          class: vue.normalizeClass(vue.unref(connectModalWalletButton_css.subLogoList))
        }, [
          _ctx.subLogo === "walletConnect" ? (vue.openBlock(), vue.createBlock(vue.unref(icon_vue_vue_type_script_setup_true_lang.default), {
            key: 0,
            name: "mobileWallet",
            size: "xl"
          })) : vue.createCommentVNode("", true),
          _ctx.subLogo !== "walletConnect" ? (vue.openBlock(), vue.createElementBlock("img", {
            key: 1,
            width: "20px",
            height: "20px",
            src: _ctx.subLogo,
            alt: `${_ctx.name} sub logo`,
            style: {
              objectFit: "contain"
            }
          }, null, 8, _hoisted_6)) : vue.createCommentVNode("", true)
        ], 2)) : vue.createCommentVNode("", true)
      ], 14, _hoisted_1);
    };
  }
});

exports.default = _sfc_main;
