'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const clx = require('clsx');
const animateLayout_vue_vue_type_script_setup_true_lang = require('../animate-layout/animate-layout.vue.cjs');
const store = require('../../models/store.cjs');
const connectModal_css = require('./connect-modal.css.cjs');
const connectModal_helper = require('./connect-modal.helper.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "connect-modal",
  props: {
    isOpen: { type: Boolean },
    onOpen: { type: Function },
    onClose: { type: Function },
    header: {},
    children: {},
    className: {},
    modalContainerClassName: {},
    modalContentClassName: {},
    modalChildrenClassName: {},
    modalContentStyles: {},
    class: {},
    classList: {},
    forwardedRef: {}
  },
  setup(__props) {
    const theme = vue.ref("light");
    const overrideManager = vue.ref(null);
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      theme.value = store.store.getState().theme.value;
      overrideManager.value = store.store.getState().overrideStyleManager;
      cleanupRef.value = store.store.subscribe((newState) => {
        theme.value = newState.theme.value;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      const _component_ScaffoldModal = vue.resolveComponent("ScaffoldModal");
      return vue.openBlock(), vue.createBlock(_component_ScaffoldModal, {
        isOpen: _ctx.isOpen,
        closeOnClickaway: true,
        onOpen: (event) => _ctx.onOpen?.(),
        onClose: (event) => _ctx.onClose?.(),
        header: _ctx.header,
        contentClassName: vue.unref(clx)(vue.unref(connectModal_css.modalContent)[theme.value], _ctx.modalContentClassName),
        contentStyles: {
          ...overrideManager.value?.applyOverrides(vue.unref(connectModal_helper.connectModalOverrides).name),
          ..._ctx.modalContentStyles
        },
        childrenClassName: vue.unref(clx)(vue.unref(connectModal_css.modalChildren), _ctx.modalChildrenClassName),
        class: vue.normalizeClass(_ctx.modalContainerClassName)
      }, {
        default: vue.withCtx(() => [
          vue.createVNode(vue.unref(animateLayout_vue_vue_type_script_setup_true_lang.default), {
            class: vue.normalizeClass(vue.unref(connectModal_css.modalAnimateContainer))
          }, {
            default: vue.withCtx(() => [
              vue.renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
          }, 8, ["class"])
        ]),
        _: 3
      }, 8, ["isOpen", "onOpen", "onClose", "header", "contentClassName", "contentStyles", "childrenClassName", "class"]);
    };
  }
});

exports.default = _sfc_main;
