import { defineComponent, openBlock, createBlock, unref, withCtx, createVNode, createTextVNode, toDisplayString } from 'vue';
import _sfc_main$1 from '../box/box.vue.js';
import _sfc_main$2 from '../stack/stack.vue.js';
import _sfc_main$4 from '../text/text.vue.js';
import _sfc_main$6 from '../button/button.vue.js';
import _sfc_main$3 from '../icon/icon.vue.js';
import _sfc_main$5 from '../clipboard-copy-text/clipboard-copy-text.vue.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "connected-wallet",
  props: {
    avatar: { default: void 0 },
    name: { default: void 0 },
    btnText: { default: "My Wallet" },
    onClick: { type: Function, default: void 0 },
    address: { default: void 0 },
    truncate: { default: "middle" },
    midTruncateLimit: { default: "sm" },
    onCopied: {}
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), {
        width: "$fit",
        px: "$8",
        py: "$15"
      }, {
        default: withCtx(() => [
          createVNode(unref(_sfc_main$2), {
            direction: "vertical",
            attributes: {
              alignItems: "center"
            }
          }, {
            default: withCtx(() => [
              _ctx.avatar ? (openBlock(), createBlock(unref(_sfc_main$1), {
                key: 0,
                as: "img",
                borderRadius: "$full",
                width: "$18",
                height: "$18",
                marginTop: "$5",
                attributes: {
                  src: _ctx.avatar
                }
              }, null, 8, ["attributes"])) : (openBlock(), createBlock(unref(_sfc_main$3), {
                key: 1,
                name: "astronaut",
                size: "$13xl",
                attributes: {
                  borderRadius: "$full",
                  marginTop: "$5"
                }
              })),
              createVNode(unref(_sfc_main$4), {
                fontSize: "$xl",
                fontWeight: "$semibold",
                attributes: {
                  marginTop: "$8",
                  marginBottom: "$8"
                }
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(_ctx.name), 1)
                ]),
                _: 1
              }),
              createVNode(unref(_sfc_main$1), { marginBottom: "$8" }, {
                default: withCtx(() => [
                  createVNode(unref(_sfc_main$5), {
                    text: _ctx.address,
                    truncate: _ctx.truncate,
                    midTruncateLimit: _ctx.midTruncateLimit,
                    onCopied: (event) => _ctx.onCopied?.()
                  }, null, 8, ["text", "truncate", "midTruncateLimit", "onCopied"])
                ]),
                _: 1
              }),
              createVNode(unref(_sfc_main$6), {
                onClick: (event) => _ctx.onClick?.()
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(_ctx.btnText), 1)
                ]),
                _: 1
              }, 8, ["onClick"])
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});

export { _sfc_main as default };
