import { defineComponent, computed, openBlock, createBlock, unref, mergeProps, toHandlers, withCtx, createVNode } from 'vue';
import clx from 'clsx';
import _sfc_main$2 from '../icon/icon.vue.js';
import _sfc_main$1 from '../button/button.vue.js';
import { container } from './icon-button.css.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "icon-button",
  props: {
    isRound: { type: Boolean },
    icon: {},
    size: {},
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {},
    variant: {},
    disabled: { type: Boolean },
    attributes: {},
    domAttributes: {},
    as: {},
    href: {},
    intent: {},
    fluidWidth: { type: Boolean },
    fluid: { type: Boolean },
    iconSize: {},
    buttonRef: {},
    isLoading: { type: Boolean },
    spinnerPlacement: {},
    onClick: { type: Function },
    onDoubleClick: { type: Function },
    onMouseDown: { type: Function },
    onMouseUp: { type: Function },
    onMouseEnter: { type: Function },
    onMouseLeave: { type: Function },
    onMouseMove: { type: Function },
    onMouseOver: { type: Function },
    onMouseOut: { type: Function },
    onKeyDown: { type: Function },
    onKeyUp: { type: Function },
    onKeyPress: { type: Function },
    onFocus: { type: Function },
    onBlur: { type: Function },
    onInput: { type: Function },
    onChange: { type: Function },
    onSubmit: { type: Function },
    onReset: { type: Function },
    onScroll: { type: Function },
    onWheel: { type: Function },
    onDragStart: { type: Function },
    onDrag: { type: Function },
    onDragEnd: { type: Function },
    onDragEnter: { type: Function },
    onDragLeave: { type: Function },
    onDragOver: { type: Function },
    onDrop: { type: Function },
    onTouchStart: { type: Function },
    onTouchMove: { type: Function },
    onTouchEnd: { type: Function },
    onTouchCancel: { type: Function }
  },
  emits: [
    "click",
    "dblclick",
    "mousedown",
    "mouseup",
    "mouseenter",
    "mouseleave",
    "mousemove",
    "mouseover",
    "mouseout",
    "keydown",
    "keyup",
    "keypress",
    "focus",
    "blur",
    "input",
    "change",
    "submit",
    "reset",
    "scroll",
    "wheel",
    "dragstart",
    "drag",
    "dragend",
    "dragenter",
    "dragleave",
    "dragover",
    "drop",
    "touchstart",
    "touchmove",
    "touchend",
    "touchcancel"
  ],
  setup(__props, { emit: __emit }) {
    const emit = __emit;
    const eventMappings = {
      onClick: "click",
      onDoubleClick: "dblclick",
      onMouseDown: "mousedown",
      onMouseUp: "mouseup",
      onMouseEnter: "mouseenter",
      onMouseLeave: "mouseleave",
      onMouseMove: "mousemove",
      onMouseOver: "mouseover",
      onMouseOut: "mouseout",
      onKeyDown: "keydown",
      onKeyUp: "keyup",
      onKeyPress: "keypress",
      onFocus: "focus",
      onBlur: "blur",
      onInput: "input",
      onChange: "change",
      onSubmit: "submit",
      onReset: "reset",
      onScroll: "scroll",
      onWheel: "wheel",
      onDragStart: "dragstart",
      onDrag: "drag",
      onDragEnd: "dragend",
      onDragEnter: "dragenter",
      onDragLeave: "dragleave",
      onDragOver: "dragover",
      onDrop: "drop",
      onTouchStart: "touchstart",
      onTouchMove: "touchmove",
      onTouchEnd: "touchend",
      onTouchCancel: "touchcancel"
    };
    const props = __props;
    const eventHandlers = computed(() => {
      const handlers = {};
      const eventProps = [
        "onClick",
        "onDoubleClick",
        "onMouseDown",
        "onMouseUp",
        "onMouseEnter",
        "onMouseLeave",
        "onMouseMove",
        "onMouseOver",
        "onMouseOut",
        "onKeyDown",
        "onKeyUp",
        "onKeyPress",
        "onFocus",
        "onBlur",
        "onInput",
        "onChange",
        "onSubmit",
        "onReset",
        "onScroll",
        "onWheel",
        "onDragStart",
        "onDrag",
        "onDragEnd",
        "onDragEnter",
        "onDragLeave",
        "onDragOver",
        "onDrop",
        "onTouchStart",
        "onTouchMove",
        "onTouchEnd",
        "onTouchCancel"
      ];
      eventProps.forEach((eventName) => {
        if (props[eventName]) {
          handlers[eventMappings[eventName]] = (event) => {
            emit(eventMappings[eventName], event);
          };
        }
      });
      return handlers;
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), mergeProps({
        attributes: {
          ..._ctx.attributes,
          borderRadius: _ctx.isRound ? "$full" : void 0
        },
        variant: _ctx.variant,
        intent: _ctx.intent,
        size: _ctx.size,
        disabled: _ctx.disabled,
        class: unref(clx)(container, _ctx.className)
      }, toHandlers(eventHandlers.value)), {
        default: withCtx(() => [
          createVNode(unref(_sfc_main$2), {
            name: _ctx.icon,
            size: _ctx.iconSize
          }, null, 8, ["name", "size"])
        ]),
        _: 1
      }, 16, ["attributes", "variant", "intent", "size", "disabled", "class"]);
    };
  }
});

export { _sfc_main as default };
