import { defineComponent, openBlock, createBlock, unref, normalizeClass, withCtx, renderSlot } from 'vue';
import clx from 'clsx';
import _sfc_main$1 from '../box/box.vue.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "link",
  props: {
    as: { default: "a" },
    href: { default: void 0 },
    target: { default: void 0 },
    rel: { default: "noopener noreferrer" },
    underline: { type: Boolean, default: true },
    background: { type: Boolean, default: void 0 },
    color: { default: void 0 },
    className: { default: void 0 },
    children: { default: void 0 },
    attributes: { default: void 0 },
    class: {},
    classList: {},
    forwardedRef: {}
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), {
        fontFamily: "$body",
        fontSize: "$sm",
        as: _ctx.as,
        backgroundColor: _ctx.background ? "$cardBg" : void 0,
        p: _ctx.background ? "$2" : void 0,
        borderRadius: _ctx.background ? "$md" : void 0,
        color: _ctx.color ? _ctx.color : {
          base: "$link",
          hover: "$link"
        },
        textDecoration: {
          base: "none",
          hover: _ctx.underline ? "underline" : "none"
        },
        attributes: {
          ..._ctx.attributes,
          href: _ctx.href,
          target: _ctx.target,
          rel: _ctx.rel
        },
        class: normalizeClass(unref(clx)(_ctx.className))
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 8, ["as", "backgroundColor", "p", "borderRadius", "color", "textDecoration", "attributes", "class"]);
    };
  }
});

export { _sfc_main as default };
