import { default as qrcodegen } from './qrcodegen/qrcodegen';
import { BaseComponentProps } from '../../models/components.model';

export type Modules = ReturnType<qrcodegen.QrCode["getModules"]>;
export type Excavation = {
    x: number;
    y: number;
    w: number;
    h: number;
};
export type ImageSettings = {
    src: string;
    height: number;
    width: number;
    excavate: boolean;
    x?: number;
    y?: number;
};
export interface QRProps extends BaseComponentProps {
    value: string;
    size?: number;
    level?: string;
    bgColor?: string;
    fgColor?: string;
    includeMargin?: boolean;
    marginSize?: number;
    imageSettings?: ImageSettings;
    title?: string;
}
export declare const DEFAULT_SIZE = 128;
export declare const DEFAULT_LEVEL = "L";
export declare const DEFAULT_BGCOLOR = "#FFFFFF";
export declare const DEFAULT_FGCOLOR = "#000000";
export declare const DEFAULT_INCLUDEMARGIN = false;
export declare const SPEC_MARGIN_SIZE = 4;
export declare const DEFAULT_MARGIN_SIZE = 0;
export declare const DEFAULT_IMG_SCALE = 0.1;
export declare const ERROR_LEVEL_MAP: {
    [index: string]: qrcodegen.QrCode.Ecc;
};
