import { defineComponent, computed, openBlock, createBlock, unref, normalizeClass } from 'vue';
import clx from 'clsx';
import _sfc_main$1 from '../icon/icon.vue.js';
import { loader } from './spinner.css.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "spinner",
  props: {
    color: {},
    size: {},
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {},
    title: {},
    attributes: {},
    domAttributes: {}
  },
  setup(__props) {
    const props = __props;
    const combinedClassName = computed(() => {
      return clx(loader, props.class);
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), {
        name: "loaderLine",
        size: _ctx.size,
        title: _ctx.title,
        color: _ctx.color,
        attributes: _ctx.attributes,
        class: normalizeClass(combinedClassName.value)
      }, null, 8, ["size", "title", "color", "attributes", "class"]);
    };
  }
});

export { _sfc_main as default };
