import { defineComponent, computed, openBlock, createBlock, unref, normalizeProps, guardReactiveProps, withCtx, renderSlot } from 'vue';
import _sfc_main$1 from '../box/box.vue.js';
import { getVariantStyles, getTextTransformStyles } from './text.helper.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "text",
  props: {
    as: { default: "p" },
    color: { default: "$text" },
    fontFamily: { default: void 0 },
    fontSize: { default: "$sm" },
    fontWeight: { default: void 0 },
    letterSpacing: { default: void 0 },
    lineHeight: { default: void 0 },
    textAlign: { default: void 0 },
    textTransform: { default: void 0 },
    whiteSpace: {},
    wordBreak: { default: "break-word" },
    variant: { default: "body" },
    ellipsis: { type: Boolean, default: false },
    underline: { type: Boolean, default: false },
    attributes: { default: void 0 },
    domAttributes: { default: void 0 },
    className: { default: void 0 },
    class: {},
    classList: {},
    children: { default: void 0 },
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    const spreadAttributes = computed(() => {
      return Object.assign(
        {
          margin: "$0",
          as: props.as,
          className: props.class
        },
        props.attributes,
        props.domAttributes,
        getVariantStyles(props.variant ?? "body", props.fontFamily),
        getTextTransformStyles({
          ellipsis: props.ellipsis,
          underline: props.underline
        }),
        {
          color: props.color,
          fontSize: props.fontSize,
          fontWeight: props.fontWeight,
          letterSpacing: props.letterSpacing,
          lineHeight: props.lineHeight,
          textAlign: props.textAlign,
          textTransform: props.textTransform,
          wordBreak: props.wordBreak
        }
      );
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), normalizeProps(guardReactiveProps(spreadAttributes.value)), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

export { _sfc_main as default };
